Package com.avaya.clientservices.messaging

## Interface AttachmentListener

-     public interface AttachmentListener

  Interface that can be used to retrieve status updates for a messaging attachment. One or more listeners can be registered to retrieve status updates on the attachment's various attributes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAttachmentCapabilitiesChanged​(Attachment attachment)` | Called to report that messaging attachment capabilities have been changed.
    `void` | `onAttachmentGeneratedContentChanged​(Attachment attachment, boolean isGeneratedContent)` | Called to report that the isGeneratedContent attribute has been changed.
    `void` | `onAttachmentLocationChanged​(Attachment attachment, java.lang.String location)` | Called to report that the location attribute has been changed.
    `void` | `onAttachmentMimeTypeChanged​(Attachment attachment, java.lang.String mimeType)` | Called to report that the mimeType attribute has been changed.
    `void` | `onAttachmentNameChanged​(Attachment attachment, java.lang.String name)` | Called to report that the name attribute has been changed.
    `void` | `onAttachmentStatusChanged​(Attachment attachment, AttachmentStatus attachmentStatus)` | Called to report that the attachment status has been changed.
    `void` | `onAttachmentThumbnailChanged​(Attachment attachment, boolean isThumbnail)` | Called to report that the isThumbnail attribute has been changed.

- - ### Method Detail

    - #### onAttachmentNameChanged

          void onAttachmentNameChanged​(Attachment attachment,
                                       java.lang.String name)

      Called to report that the name attribute has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `name` - the new value for the name attribute.
      See Also:
        `Attachment.getName()`

    - #### onAttachmentThumbnailChanged

          void onAttachmentThumbnailChanged​(Attachment attachment,
                                            boolean isThumbnail)

      Called to report that the isThumbnail attribute has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `isThumbnail` - the new value for the isThumbnail attribute.
      See Also:
        `Attachment.isThumbnail()`

    - #### onAttachmentGeneratedContentChanged

          void onAttachmentGeneratedContentChanged​(Attachment attachment,
                                                   boolean isGeneratedContent)

      Called to report that the isGeneratedContent attribute has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `isGeneratedContent` - the new value for the isGeneratedContent attribute.
      See Also:
        `Attachment.isGeneratedContent()`

    - #### onAttachmentLocationChanged

          void onAttachmentLocationChanged​(Attachment attachment,
                                           java.lang.String location)

      Called to report that the location attribute has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `location` - the new value for the location attribute.
      See Also:
        `Attachment.getLocation()`

    - #### onAttachmentMimeTypeChanged

          void onAttachmentMimeTypeChanged​(Attachment attachment,
                                           java.lang.String mimeType)

      Called to report that the mimeType attribute has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `mimeType` - the new value for the mimeType attribute.
      See Also:
        `Attachment.getMimeType()`

    - #### onAttachmentStatusChanged

          void onAttachmentStatusChanged​(Attachment attachment,
                                         AttachmentStatus attachmentStatus)

      Called to report that the attachment status has been changed.
      Parameters:
        `attachment` - the `Attachment` for which the attribute has been changed.
        `attachmentStatus` - `AttachmentStatus` the new attachment status.
      See Also:
        `Attachment.getStatus()`

    - #### onAttachmentCapabilitiesChanged

          void onAttachmentCapabilitiesChanged​(Attachment attachment)

      Called to report that messaging attachment capabilities have been changed.
      Parameters:
        `attachment` - `Attachment` the attachment `Attachment` that the callback is associated with.
      See Also:
        `Attachment.getConsumeCapability()`, `Attachment.getDownloadCapability()`, `Attachment.getRemoveCapability()`, `Attachment.getUpdateGeneratedContentCapability()`, `Attachment.getUpdateLocationCapability()`, `Attachment.getUpdateMimeTypeCapability()`, `Attachment.getUpdateNameCapability()`, `Attachment.getUpdateThumbnailCapability()`